Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695517 - [abrt] fwupd: g_system_thread_new(): fwupd killed by SIGTRAP
Summary: [abrt] fwupd: g_system_thread_new(): fwupd killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwupd
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:18d66a1e3bd810b74949d8ef185...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 09:21 UTC by Mikhail
Modified: 2019-04-15 00:02 UTC (History)
1 user (show)

Fixed In Version: fwupd-1.2.7-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-15 00:02:28 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2019-04-03 09:21 UTC, Mikhail
no flags Details
File: cgroup (deleted)
2019-04-03 09:21 UTC, Mikhail
no flags Details
File: core_backtrace (deleted)
2019-04-03 09:21 UTC, Mikhail
no flags Details
File: cpuinfo (deleted)
2019-04-03 09:21 UTC, Mikhail
no flags Details
File: dso_list (deleted)
2019-04-03 09:21 UTC, Mikhail
no flags Details
File: environ (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details
File: limits (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details
File: maps (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details
File: mountinfo (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details
File: open_fds (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details
File: proc_pid_status (deleted)
2019-04-03 09:22 UTC, Mikhail
no flags Details

Description Mikhail 2019-04-03 09:21:51 UTC
Version-Release number of selected component:
fwupd-1.2.6-1.fc31

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/fwupd/fwupd
crash_function: g_system_thread_new
executable:     /usr/libexec/fwupd/fwupd
journald_cursor: s=27ffb8502da44b03964c2924977e16f8;i=6c029;b=d5e642cea5b6484cb905abe6b99203f8;m=3cdeb28788;t=58533b9a02d14;x=a6402ba35dfb2df7
kernel:         5.1.0-0.rc1.git1.8.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 g_system_thread_new at ../glib/gthread-posix.c:1200
 #4 g_thread_new at ../glib/gthread.c:848
 #5 g_get_worker_context at ../glib/gmain.c:5895
 #6 ik_source_new at ../gio/inotify/inotify-kernel.c:401
 #7 _ik_startup at ../gio/inotify/inotify-kernel.c:410
 #8 _ip_startup at ../gio/inotify/inotify-path.c:117
 #9 _ih_startup at ../gio/inotify/inotify-helper.c:82
 #10 try_class at ../gio/giomodule.c:696
 #11 _g_io_module_get_default_type at ../gio/giomodule.c:825
 #12 g_local_file_monitor_new at ../gio/glocalfilemonitor.c:849

Potential duplicate: bug 1693938

Comment 1 Mikhail 2019-04-03 09:21:54 UTC
Created attachment 1551295 [details]
File: backtrace

Comment 2 Mikhail 2019-04-03 09:21:55 UTC
Created attachment 1551296 [details]
File: cgroup

Comment 3 Mikhail 2019-04-03 09:21:57 UTC
Created attachment 1551297 [details]
File: core_backtrace

Comment 4 Mikhail 2019-04-03 09:21:58 UTC
Created attachment 1551298 [details]
File: cpuinfo

Comment 5 Mikhail 2019-04-03 09:21:59 UTC
Created attachment 1551299 [details]
File: dso_list

Comment 6 Mikhail 2019-04-03 09:22:00 UTC
Created attachment 1551300 [details]
File: environ

Comment 7 Mikhail 2019-04-03 09:22:01 UTC
Created attachment 1551301 [details]
File: limits

Comment 8 Mikhail 2019-04-03 09:22:03 UTC
Created attachment 1551302 [details]
File: maps

Comment 9 Mikhail 2019-04-03 09:22:05 UTC
Created attachment 1551303 [details]
File: mountinfo

Comment 10 Mikhail 2019-04-03 09:22:06 UTC
Created attachment 1551304 [details]
File: open_fds

Comment 11 Mikhail 2019-04-03 09:22:07 UTC
Created attachment 1551305 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2019-04-12 09:56:25 UTC
fwupd-1.2.7-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-50ff4778b8

Comment 13 Fedora Update System 2019-04-13 02:00:03 UTC
fwupd-1.2.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-50ff4778b8

Comment 14 Fedora Update System 2019-04-15 00:02:28 UTC
fwupd-1.2.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.